Page MenuHomePhabricator

Tool to facilitate addition of translated file descriptions on Commons with the current system
Closed, ResolvedPublic

Description

Wikimedia Commons tags file descriptions by language for the language select system. However, adding such translations is tedious:

  • there is no systematic way to find file descriptions which I can translate (where my language is missing, and a language I know is available);
  • wikitext editing is required and not always easy;
  • no translation aids are available, as would be in the Translate extension.

Currently resolved by editDescriptions.js. Possible actionable items:

  • making default;
  • adding other features (e.g. for discoverability/coordination).

Out of scope: changing the system Commons uses to store translations/multilingual data. Probably falls under https://commons.wikimedia.org/wiki/Commons:Structured_data instead.

Original report: https://www.mediawiki.org/wiki/Topic:Spw92sbkz427el1o

Event Timeline

Arrbee created this task.Oct 8 2015, 4:06 AM
Arrbee raised the priority of this task from to Normal.
Arrbee updated the task description. (Show Details)
Arrbee added a project: ContentTranslation.
Arrbee added a subscriber: Arrbee.
Restricted Application added subscribers: Steinsplitter, Aklapper. · View Herald TranscriptOct 8 2015, 4:06 AM

I am not sure if this works with the current system.

We use {{en|1=text}} {{he|1=text}} etc. to translate stuff.

Amire80 added a subscriber: Amire80.Oct 8 2015, 9:02 PM

What makes more sense is to have some kind of a system for translating file descriptions on Commons.

ContentTranslation doesn't seem like the right system for this.

It would make more sense to do it with the Translate extension, or maybe Wikidata, or maybe something else entirely. It's more of a Multimedia bug, but with strong relationship to I18n.

Amire80 set Security to None.
Restricted Application added a subscriber: Matanya. · View Herald TranscriptOct 8 2015, 9:02 PM
Amire80 renamed this task from Use Content translation to translate file descriptions on Commons to Have a system to translate file descriptions on Commons.Oct 8 2015, 9:03 PM
matmarex added a subscriber: matmarex.

Wow, I could've sworn that Commons had a gadget for this. Is there really nothing?

I had thought of a mwparserfromhell/Parsoid-based translation assistant, but ditched it in the hope that 'structured data' weren't that far.

zhuyifei1999 moved this task from Incoming to Backlog on the Commons board.Oct 10 2015, 1:33 PM
zhuyifei1999 added a subscriber: zhuyifei1999.
Base added a subscriber: Base.Oct 12 2015, 7:41 PM

Can't just a script getting text from these {{en|1=}} and of the kind templates as well as adding new ones be created? Like all these other scripts adding some problem templates and whatever. If it does not exist that is. (This thought occurred in my head before but I never really searched). I don't think it should be kept simple for the start. When there will be a working solution something more sophisticated like an Extension could be created. Though it might happen so that the script will work that fine that priority of such a development will fall down considerably.

Can't just a script getting text from these {{en|1=}} and of the kind templates as well as adding new ones be created?

Not only wikitext is hard to parse, but there are also countless templates for file information (e.g. Artwork) and multilingual descriptions (e.g. Mld).

Base added a comment.Oct 13 2015, 6:06 PM

Well that is a problem that must be dealt with in any case. It doesn't matter whether it is for an extension to do the parsing or a script. But scripts usually are more flexible

El_Grafo added a subscriber: El_Grafo.EditedOct 15 2015, 2:52 PM

User:MarkTraceur/editDescriptions.js pretty much already does this, at least for normal {{Information}} templates. You can test it by adding

importScript( 'User:MarkTraceur/editDescriptions.js' );

to your common.js. Pinging @MarkTraceur

@El_Grafo, @MarkTraceur: Is there any reason that shouldn't be made into a Gadget on Commons?

@El_Grafo, @MarkTraceur: Is there any reason that shouldn't be made into a Gadget on Commons?

If it is stable and i18n suppot (from translatewiki?) we can make it a into a Gadget! :-)

I think it would be useful to have some equivalent to http://recommend.wmflabs.org/ a kind of ranking system for translations for each subject based on things like most used content, quality image etc.

Restricted Application added a subscriber: Poyekhali. · View Herald TranscriptAug 1 2016, 11:03 PM

The scope of this report is very unclear.

Nemo_bis renamed this task from Have a system to translate file descriptions on Commons to Tool to facilitate addition of translated file descriptions on Commons with the current system.Mar 14 2017, 1:17 PM
Nemo_bis closed this task as Resolved.
Nemo_bis updated the task description. (Show Details)

Please reopen if there's something specific left to do.